GDB (xrefs)

Public Attributes | List of all members
fork_catchpoint Struct Reference
Inheritance diagram for fork_catchpoint:

## Public Attributes
ptid_t | forked_inferior_pid
Public Attributes inherited from breakpoint
const breakpoint_ops * | ops = NULL
breakpoint * | next = NULL
bptype | type = bp_none
enum enable_state | enable_state = bp_enabled
bpdisp | disposition = disp_del
int | number = 0
bp_location * | loc = NULL
bool | silent = false
bool | display_canonical = false
int | ignore_count = 0
int | enable_count = 0
counted_command_line | commands
struct frame_id | frame_id = null_frame_id
program_space * | pspace = NULL
event_location_up | location
char * | filter = NULL
event_location_up | location_range_end
struct gdbarch * | gdbarch = NULL
enum language | language = language_unknown
int | input_radix = 0
char * | cond_string = NULL
char * | extra_string = NULL
breakpoint * | related_breakpoint = NULL
int | thread = -1
int | task = 0
int | hit_count = 0
int | condition_not_parsed = 0
gdbpy_breakpoint_object * | py_bp_object = NULL
gdbscm_breakpoint_object * | scm_bp_object = NULL

## Additional Inherited Members
Public Member Functions inherited from breakpoint
virtual | ~breakpoint ()

## Detailed Description

Definition at line 7740 of file breakpoint.c.

## Member Data Documentation

## ◆ forked_inferior_pid

ptid_t fork_catchpoint::forked_inferior_pid

Definition at line 7745 of file breakpoint.c.

Referenced by breakpoint_hit_catch_fork(), breakpoint_hit_catch_vfork(), print_it_catch_fork(), print_it_catch_vfork(), print_one_catch_fork(), and print_one_catch_vfork().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/breakpoint.c